<?php
	if (!defined ('ABSPATH') || !isset ($iframe_id) || !isset ($file_id) || !isset ($filename) || !isset ($style))
		die;

	$nonce = BQDownloadUtil::create_wp_nonce ('download-file', $filename.'_'.$file_id);
?>

<!-- Copyright Brian Quade, BQ Plugins 2012, bqplugins.com -->
<iframe id="<?php echo $iframe_id; ?>" style="display:none;"></iframe>
<?php
	if (strcmp ($style, 'button') == 0):
		$button_color = isset ($color) ? $color : 'red';
?>
	<div class="bqdownload_button bqbutton_regular_<?php echo $button_color; ?> bqbutton_undepressed"
			onmouseover="this.className = 'bqdownload_button bqbutton_highlighted_<?php echo $button_color; ?> bqbutton_undepressed';"
			onmouseout="this.className = 'bqdownload_button bqbutton_regular_<?php echo $button_color; ?> bqbutton_undepressed';"
			onmousedown="this.className = 'bqdownload_button bqbutton_highlighted_<?php echo $button_color; ?> bqbutton_depressed';"
			onmouseup="this.className = 'bqdownload_button bqbutton_highlighted_<?php echo $button_color; ?> bqbutton_undepressed';"
			<?php if ($demo !== true): ?>
				onclick="bq_download_file ('<?php echo $iframe_id; ?>', '<?php echo $file_id; ?>', '<?php echo $nonce; ?>');"
			<?php endif; ?>
			>
		DOWNLOAD&nbsp;<?php echo str_replace (' ', '&nbsp;', $filename); ?>
	</div>
<?php elseif (strcmp ($style, 'link') == 0): ?>
	<a class="bqdownload_link"
			<?php if ($demo !== true): ?>
				onclick="bq_download_file ('<?php echo $iframe_id; ?>', '<?php echo $file_id; ?>', '<?php echo $nonce; ?>');"
			<?php endif; ?>
			>
		<?php echo $filename; ?>
	</a>
<?php endif; ?>
