<?php
	require_once 'bq-download-model.php';
	require_once 'bq-download-util.php';

	$date_format = BQDownloadUtil::bq_get_option ('date_format');
	$time_format = BQDownloadUtil::bq_get_option ('time_format');

	$plugin_url = plugins_url ('', __FILE__);
	$plugin_data = get_plugin_data (dirname (__FILE__).'/init.php');
?>

<?php echo BQDownloadUtil::get_version_check (); ?>

<!-- Copyright Brian Quade, BQ Plugins 2012, bqplugins.com -->
<div class="wrap" style="padding:0 10px;">
	<div class="bq_admin_header">
		<img src="<?php echo $plugin_url.'/logo.png'; ?>" class="bq_admin_logo" alt="bq plugins" />
		<span class="bq_admin_page"><?php echo $plugin_data ['Name']; ?></span>
	</div>

	<?php if (!isset ($bq_page_error)): ?>
		<div id="bq_download_message" class="bq_message">&nbsp;</div>

		<div class="bq_table_container">
			<div id="bq_download_emails_table">
				<?php echo $email_window; ?>
			</div>
		</div>
	<?php
		else:
			echo $bq_page_error;
		endif;
	?>
</div>

