<?php
	// Copyright Brian Quade, BQ Plugins 2012, bqplugins.com

	if (!defined ('ABSPATH'))
		die ();

	$plugin_url = plugins_url ('', __FILE__);
	$upload_url = site_url ().'?x=ul';

	$plugin_data = get_plugin_data (dirname (__FILE__).'/init.php');
?>

<?php echo BQDownloadUtil::get_version_check (); ?>

<!-- Copyright Brian Quade, BQ Plugins 2012, bqplugins.com -->
<div class="wrap" style="padding:0 10px;">
	<div class="bq_admin_header">
		<img src="<?php echo $plugin_url.'/logo.png'; ?>" class="bq_admin_logo" alt="bq plugins" />
		<span class="bq_admin_page"><?php echo $plugin_data ['Name']; ?></span>

		<div class="add-new-h2" style="display:inline-block; margin-left:15px; top:0; vertical-align:middle; color:#21759b; overflow:hidden;" onmouseover="this.style.color = '#d54e21';" onmouseout="this.style.color = '#21759b';">
			Add File
			<iframe src="<?php echo $upload_url; ?>" style="position:absolute; top:0; right:0; z-index:1; opacity:0; filter:alpha(opacity=0);"></iframe>
		</div>
		<span style="font-size:smaller; margin-left:15px; top:0; vertical-align:middle;">(Max upload file size on this server: <?php echo ini_get ('upload_max_filesize'); ?>)</span>
	</div>

	<?php if (!isset ($bq_page_error)): ?>
		<div id="bq_download_message" class="bq_message">&nbsp;</div>

		<div class="bq_table_container" style="padding-bottom:8px;">
			<div id="bq_download_file_stats_chart">
				<?php echo $stats_window; ?>
			</div>
		</div>
		<div style="clear:both;"></div>

		<div class="bq_table_container">
			<div id="bq_download_files_table">
				<?php echo $file_window; ?>
			</div>
		</div>
		<div style="clear:both;"></div>
	<?php
		else:
			echo $bq_page_error;
		endif;
	?>
</div>

