// Copyright Brian Quade, BQ Plugins 2012, bqplugins.com
if (typeof XMLHttpRequest == 'undefined')
	XMLHttpRequest = function ()
			{
				try { return new ActiveXObject ("Msxml2.XMLHTTP.6.0"); } catch (e) {}
				try { return new ActiveXObject ("Msxml2.XMLHTTP.3.0"); } catch (e) {}
				try { return new ActiveXObject ("Msxml2.XMLHTTP"); } catch (e) {}
				return null;
			};

function BQAjaxMessage (method, page, params, callback)
{
	if (typeof XMLHttpRequest == 'undefined')
		return;

	method = method.toLowerCase ();

	var req = new XMLHttpRequest ();
	if (req != null)
	{
		var url = page;

		var query = '';
		if (typeof params == 'object')
		{
			for (var p in params)
				query += p + '=' + params [p] + '&'; // trailing &
//				query += p + '=' + JSON.stringify (params [p]) + '&'; // trailing &
		}

		if (method == 'get' && query.length > 0)
			url += '?' + query;

		req.open (method, url, true);
		if (method == 'post')
			req.setRequestHeader ("Content-Type", "application/x-www-form-urlencoded");
		req.onreadystatechange = function (response)
								{
									if (req.readyState == 4 && req.status == 200)
										callback (req.responseText);
								};
		req.send (method == 'post' ? query : null);
	}

	return this;
}

