<?php
	// Copyright Brian Quade, BQ Plugins 2012, bqplugins.com
	if (!defined ('ABSPATH'))
		die ();

	// build the url
	$plugin_url = plugins_url ('', __FILE__);
	$plugin_data = get_plugin_data (dirname (__FILE__).'/init.php');
?>

<?php echo BQDownloadUtil::get_version_check (); ?>

<!-- Copyright Brian Quade, BQ Plugins 2012, bqplugins.com -->
<div class="wrap" style="padding-left:10px;">
	<div class="bq_admin_header">
		<img src="<?php echo $plugin_url.'/logo.png'; ?>" class="bq_admin_logo" alt="bq plugins" />
		<span class="bq_admin_page"><?php echo $plugin_data ['Name'].' '.$plugin_data ['Version']; ?></span>
	</div>

	<div id="bq_download_message" class="bq_message">&nbsp;</div>

	<?php
		if (isset ($bq_page_error) && $bq_page_error !== null)
		{
			echo $bq_page_error;
			exit;
		}
	?>

	<div style="font-size:larger; margin-right:25%;">
		Developed by Brian Quade, <a href="http://bqplugins.com">bq plugins</a>.<br />
		<br />
		To request a customization of this plugin, please go to <a href="http://www.bqplugins.com/contact/">the contact form</a>.<br />
		<br />
		To report a problem or suggest a feature, or to make a general comment, please go to <a href="http://bqplugins.com/bq-download">the plugin discussion page</a>.
	</div>
	<div style="margin-top:20px;">
		<a href="https://twitter.com/bqplugins" class="twitter-follow-button" data-show-count="false">Follow @bqplugins</a>
		<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
	</div>
	<div style="margin-top:30px;">
		Copyright Brian Quade, BQ Plugins 2012<?php $y = date ('Y'); if ($y > 2012) echo ' - '.$y; ?>
	</div>
</div>

