<?php
if (!defined ('ABSPATH'))
	die ();

$bq_download_db_schema_version = array (

array (
'version' => '1.0',
'sql' => array ('create table if not exists `bq_download_file` (`id` int primary key auto_increment, `name` varchar(128) unique not null)',
				'create table if not exists `bq_download_user` (`id` int primary key auto_increment, `name` varchar(128), `email` varchar(128))',
				'create table if not exists `bq_download` (`file_id` int, `user_id` int, `time_requested` timestamp not null default current_timestamp, `time_downloaded` datetime default null, `download_key` varchar(128))')),

array (
'version' => '1.1',
'sql' => array ('alter table `bq_download_file` add `size` int default null')),

array (
'version' => '1.2',
'sql' => array ('alter table `bq_download_file` add `updated_on` timestamp not null default current_timestamp on update current_timestamp')),

array (
'version' => '1.3',
'sql' => array ('alter table `bq_download` change file_id file_id int(11) not null')),

array (
'version' => '1.4',
'sql' => array ('alter table `bq_download` add `blog_id` int default null first',
				'alter table `bq_download_file` add `blog_id` int default null first',
				'alter table `bq_download_user` add `blog_id` int default null first')),

array (
'version' => '1.5',
'sql' => array ('alter table `bq_download` drop `blog_id`',
				'alter table `bq_download_user` drop `blog_id`')),

array (
'version' => '1.6',
'sql' => array ('alter table `bq_download_file` drop key `name`',
				'alter table `bq_download_file` add unique key `name` (`blog_id`, `name`)')),

array (
'version' => '1.7',
'sql' => array ('drop table `bq_download_user`',
				'alter table `bq_download` drop `user_id`')),

array (
'version' => '1.8',
'sql' => array ('alter table bq_download change time_downloaded time_downloaded timestamp default "00-00-00 00:00:00"')),

array (
'version' => '1.9',
'sql' => array ('create table if not exists `bq_download_user` (`id` int primary key auto_increment, `name` varchar(128), `email` varchar(128))',
				'alter table `bq_download` add `user_id` int(11) default null')),

array (
'version' => '1.10',
'sql' => array ('alter table `bq_download_file` drop `size`')),

array (
'version' => '1.11',
'sql' => array ('alter table `bq_download_user` add unique key `email` (`email`)')),

array (
'version' => '1.12',
'sql' => array ('alter table `bq_download` change `download_key` `download_key` varchar(32) default null')),

array (
'version' => '1.13',
'sql' => array ('alter table `bq_download_file` add `deleted` tinyint default false',
				'alter table `bq_download_file` drop `updated_on`')),

array (
'version' => '1.14',
'sql' => array ('alter table `bq_download_file` drop key `name`')));

?>
