<?php
	// Copyright Brian Quade, BQ Plugins 2012, bqplugins.com

	if (!defined ('ABSPATH'))
		die ();

	require_once 'bq-download-util.php';

	$wp_version = get_bloginfo ('version');
	$wp_required = BQDownloadUtil::get_readme_wp_version ();
//	$wp_okay = version_compare ($wp_version, $wp_required ['min']) >= 0 && version_compare ($wp_version, $wp_required ['max']) <= 0;
	$wp_okay = version_compare ($wp_version, $wp_required ['min']) >= 0;
//$wp_okay = false;

	$php_version = phpversion ();
	$php_required = '5.2.0';
	$php_okay = version_compare ($php_version, $php_required) >= 0;
//$php_okay = false;

	$mysql_version = BQDownloadModel::get_mysql_version ();
	$mysql_required = '5.0';
	$mysql_okay = version_compare ($mysql_version, $mysql_required) >= 0;
//$mysql_okay = false;

	$versions_okay = $wp_okay && $php_okay && $mysql_okay;
	if (!$versions_okay):
		$message = '<span style="font-weight:bold;">WARNING:</span> ';
		if (!$wp_okay)
			$message .= 'This plugin requires Wordpress '.$wp_required ['min'].' or later. Your server is running Wordpress '.$wp_version.'. ';
		else if (!$php_okay)
			$message .= 'This plugin requires php '.$php_required.' or later. Your server is running php '.$php_version.'. ';
		else if (!$mysql_okay)
			$message .= 'This plugin requires MySQL '.$mysql_required.' or later. Your server is running MySQL '.$mysql_version.'. ';
?>
<div style="border:1px solid #800000; border-top:none; color:#800000; background-color:#ffbbbb; padding:5px; margin-right:20px;">
	<?php echo $message; ?>
</div>
<?php endif; ?>

